# eric7.QScintilla.Exporters.ExporterBase

Module implementing the exporter base class.

### Global Attributes

None

### Classes

ExporterBase | Class implementing the exporter base class.

### Functions

None

## ExporterBase

Class implementing the exporter base class.

### Derived from

QObject

### Class Attributes

None

### Class Methods

None

### Methods

ExporterBase | Constructor
_getFileName | Protected method to get the file name of the export file from the user.
exportSource | Public method performing the export.

### Static Methods

None

#### ExporterBase (Constructor)

ExporterBase(editor, parent=None)

Constructor

editor
  reference to the editor object (QScintilla.Editor.Editor)
parent
  parent object of the exporter (QObject)

#### ExporterBase._getFileName

_getFileName(fileFilter)

Protected method to get the file name of the export file from the user.

fileFilter
  the filter string to be used (string). The filter for "All Files (*)" is appended by this method.

Return:
  file name entered by the user (string)

#### ExporterBase.exportSource

exportSource()

Public method performing the export.

This method must be overridden by the real exporters.

Raises NotImplementedError:
  raised to indicate that this method must be implemented by a subclass

Up